/*
 * Main.java
 * Part of the Spirograph problem set.
 *
 * Developed for "Rethinking CS101", a project of Lynn Andrea Stein's AP Group.
 * For more information, see http://www.ai.mit.edu/projects/cs101, the
 * CS101 homepage or email las@ai.mit.edu.
 *
 * Copyright (C) 1998 Massachusetts Institute of Technology.
 * Please do not redistribute without obtaining permission.
 */

package Spirograph;

/** 
 * Main is a wrapper for Spirograph.
 *
 * <P>Copyright (c) 1998 Massachusetts Institute of Technology 
 *
 * @author Todd C. Parnell, tparnell@ai.mit.edu
 * @version $Id: Main.java,v 1.2 1998/07/24 16:58:46 tparnell Exp $
 */
public class Main {

  public static void main(String[] argv) {

    switch (argv.length) {
    case 0: Spirograph s0 = new Spirograph(null, null); break;
    case 1: Spirograph s1 = new Spirograph(argv[0], null); break;
    case 2: Spirograph s2 = new Spirograph(argv[0], argv[1]); break;
    default: System.out.println("You must specify 0, 1, or 2 arguments.");
    }
  }

  /** Prevent instantiation. */
  private Main() {}
}

/*
 * $Log: Main.java,v $
 * Revision 1.2  1998/07/24 16:58:46  tparnell
 * Placate new javadoc behavior
 *
 * Revision 1.1  1998/07/24 15:52:16  tparnell
 * Added javadoc.  Removed some deprecated code.  Fixed a few minor bugs.
 *
 */
