/*
 * OneRuleListener.java 
 * Part of the Spirograph problem set
 *
 * Developed for "Rethinking CS101", a project of Lynn Andrea Stein's AP Group.
 * For more information, see <a href="http://www.ai.mit.edu/projects/cs101">the
 * CS101 homepage</a> or email <las@ai.mit.edu>.
 *
 * Copyright (C) 1996 Massachusetts Institute of Technology.
 * Please do not redistribute without obtaining permission.
 */

package Spirograph;

/**
 * This implements a listener that is created by CodeBox and passed
 * to AdvArg. It enables or disables the approprite text areas and
 * fields so that when only one rule is being used the other rule is
 * grayed out. <p>
 *
 * Copyright (c) 1998 Massachusetts Institute of Technology
 *
 * @author  Luis Sarmenta, lfgs@cag.lcs.mit.edu
 * @author  Henry Wong, henryw@mit.edu
 * @version  $Id: OneRuleListener.java,v 1.6 1998/07/24 16:58:47 tparnell Exp $
 * 
 * @see CodeMerger
 * @see OneRuleListener
 */

import java.awt.event.*;
import java.awt.*;

public class OneRuleListener implements ItemListener {
    TextArea onTA, offTA, onFields, offFields;
    Button onButton, offButton;
    Checkbox offCheckbox;
    CodeMerger myMerger;
    
    public OneRuleListener(TextArea onTA, TextArea offTA,
			   TextArea onFields, TextArea offFields,
			   Button onButton, Button offButton,
                           Checkbox offCheckbox,
			   CodeMerger myMerger) {
	this.onTA = onTA;
	this.offTA = offTA;
	this.onFields = onFields;
	this.offFields = offFields;
	this.onButton = onButton;
	this.offButton = offButton;
        this.offCheckbox = offCheckbox;
	this.myMerger = myMerger;
    }

    public void itemStateChanged(ItemEvent ie) {
        if ( ie.getStateChange() == ItemEvent.SELECTED )
        {
	    onTA.setEnabled(true);
	    offTA.setEnabled(false);
	    onFields.setEnabled(true);
	    offFields.setEnabled(false);
	    onButton.setEnabled(true);
	    offButton.setEnabled(false);
            offCheckbox.setState(false);
            offCheckbox.setEnabled(false);
	    myMerger.setBoth(true);
        } else {
	    onTA.setEnabled(true);
	    offTA.setEnabled(true);
	    onFields.setEnabled(true);
	    offFields.setEnabled(true);
	    onButton.setEnabled(true);
	    offButton.setEnabled(true);
            offCheckbox.setEnabled(true);
	    myMerger.setBoth(false);
        }
    }
}


/*
 * $Log: OneRuleListener.java,v $
 * Revision 1.6  1998/07/24 16:58:47  tparnell
 * Placate new javadoc behavior
 *
 * Revision 1.5  1998/07/24 15:52:20  tparnell
 * Added javadoc.  Removed some deprecated code.  Fixed a few minor bugs.
 *
 * Revision 1.4  1998/07/23 15:09:34  natashao
 * Added javadoc and a few comments.
 *
 */
